Page MenuHomePhabricator

Use MediaWiki API for non-mainspace or main page pages
Closed, InvalidPublic1 Estimate Story Points

Description

Parsoid doesn't handle all of the many corner cases found in non-mainspace or heavily transcluded pages. We should only use RESTBase for mainspace pages (except the main page) and fall back to MediaWiki API for everything else until T153980 is fixed

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2017, 4:51 PM
Mholloway added a subscriber: Mholloway.EditedJan 4 2017, 4:56 PM

Unfortunately, this won't be an easy catchall fix as I'd hoped. The MediaWiki mobileview API doesn't give us the category listings, either. I guess it would take some more work in MobileFrontend.

Mholloway added a comment.EditedJan 6 2017, 9:31 PM

Should we close this as invalid? It was based on my faulty premise that mobileview could give us everything we need and stuff yet to be implemented in Parsoid was the only issue.

Niedzielski lowered the priority of this task from High to Medium.Jan 9 2017, 6:38 PM

Would this task still be useful for other non-category, non-mainspace pages?

Mholloway closed this task as Invalid.Aug 7 2017, 3:13 PM